Subject: Re: data received but not detected

From: Evgeniy Polyakov <[email-masked]>
Date: Fri, 20 Jun 2008 21:25:14 +0400

On Fri, Jun 20, 2008 at 12:10:59PM -0500, Travis Stratman ([email-masked]) wrote:
> Initially the application was just using a blocking recvfrom() call. I
> changed to poll() and non-blocking recvfrom (MSG_DONTWAIT) today, and
> poll() always times out when the lockup occurs. I also tried using an

Can you confirm that IPSTATS_MIB_INRECEIVES MIB does not increase when
packets are sent to the frozen machine, but userspace does not receive
it?

Please also clarify this bit again: you see packets in tcpdump running
on receiving (frozen) host, but do not see them in userspace? After this
freeze happend system recvmsg/poll calls do not respond until some
activity on NIC happend? I.e. recv/poll 'unfreeze' only when something
is received (arp, icmp reply) or after sending too?

-- 
	Evgeniy Polyakov